@charset "UTF-8";

@import url("https://fonts.googleapis.com/css2?family=Roboto:ital,wght@0,100;0,300;0,400;0,500;0,700;0,900;1,100;1,300;1,400;1,500;1,700;1,900&display=swap");

:root {
  --brand-color: #846aff;

  --dark: #121214;

  --gray-10: #7c7c8a;
  --gray-20: #eaeaea;
  --gray-30: #eeeeff;
  --gray-40: #f8f8ff;

  --white: #ffffff;
}

*{
    padding: 0px;
    margin: 0px;
    box-sizing: border-box;
}

body{
    width: clamp(300px, 100%, 100vw);
    height: 100vh;
}

header h1, h2, p, main h1, h2, p{
    font-family: 'Roboto', sans-serif;
    white-space: pre-line;

}

header{
    background-color: var(--gray-30);
}

.container{
    margin: auto;
    width: 100%;
    max-width: 1200px;
    display: flex;
    justify-content: space-evenly;
    flex-flow: row wrap-reverse;
    min-width: 280px;
}

header div{
    display: flex;
    flex-flow: column;
    justify-content: start;
    align-items: start;
    gap: 25px;
}

.titulo{
    align-self: center;
    width: 50%;
}

.titulo h1{
    font-size: 1em;
    font-size: clamp(1em, 3vw, 1.8em);
}

.titulo p{ 
    font: 500 clamp(.8em, 100%, .0em) 'Roboto', sans-serif;
    color: var(--dark);
}

.titulo span{
    color: var(--brand-color);
}  

.titulo button{
    background-color: var(--brand-color);
    border: none;
    padding: 10px;
    border-radius: 5px;
}

header img{
    margin-top: 20px;
    padding: 20px;
    width: 300px;
}

main{
    margin: auto;
    width: 100%;
    max-width: 1000px;
}

main h1{
    margin: 100px 0px;
}

#caixa{
    width: 100%;
    display: flex;
    flex-flow: row wrap;
    justify-content: center;
    align-items: center;
    gap: 20px;
}

article{
    width: 320px;
    height: 300px;
    border: 1px solid var(--gray-20);
}

article img{
    width: 100%;
    border-radius: 10px;
}

article h2{
    padding: 15px;
}

article p{
    padding: 0px 15px 10px 15px ;
    font-size: .9em;
    font-weight: 500;
    color: var(--dark);
}

article h2{
    font-size: 1em;
}

footer{
    background-color: var(--gray-30);
    margin-top: 100px;
    padding: 20px;
    text-align: center;
}

form{
    margin: auto;
    width: 100%;
    max-width: 500px;
}

form legend{
    font: 500 1.3em 'Roboto', sans-serif;
}

form label{
    display: none;
}

form input{
    width: 100%;
    padding: 10px;
    margin-top: 20px;
    border: 1px solid var(--gray-20);
    border-radius: 5px;
}

form textarea{
    width: 100%;
    height: 100px;
    margin-top: 20px;
    border: none;
    padding: 10px;
}

form button{
    width: 99%;
    margin-top: 20px;
    background-color: var(--brand-color);
    border: none;
    padding: 10px;
    border-radius: 5px;
    color: var(--white);
}